---
title: 岁时录（十七）
date: 2025-03-23
slug: weekly-17
featuredImage: https://img.viento.cc/cover/weekly-17-cover.webp
categories:
  - 人间世
tags:
  - 日常
  - 文本
  - TNO
  - 隐私
series: 岁时录
summary: 太好了是拖更，我们没救了
description: 本文是作者周报的第十七期。作者因尝试新终端模拟器GhosTTY而逐渐放弃使用iTerm2，对其有所称赞，但也指出其兼容性问题。接着探讨了对“文本主导”博客设计的偏好，强调极简主义应注重用户体验，而非牺牲美观或功能。作者还分享了因游戏模组TNO接触到的波兰乐队Żywiołak，并分析“异教”一词的历史演变。文章还提到作者成功申请到前往新加坡的访学项目，详细分析了选择 SG 的现实考量，如费用、地理位置和学术环境，并吐槽了申请过程中的繁琐与不人性化设计。此外，作者因需求注册Telegram，认可其功能性但对其隐私性有所保留。在学业上，作者讲述了《数字逻辑实验》中的失误，反映准备不足的教训。文章还质疑苹果隐私政策，计划转向开源替代品，并列举了可能的替代方案。最后，作者表达了对纯文本文件格式的热爱，认为其简单性与开放性带来的兼容性和持久性无可比拟，并通过对比专有格式的局限性，强调纯文本在信息记录与管理中的独特价值。
wikilinks:
---

各位老友，晚上好。这里是 Chlorine。

没错，小氯又顺理成章地鸽了好几期周报（捂脸）。

您正在阅读园子的周报——《岁时录》的第十七篇，日期范围为 2025 年 3 月 3 日至 2025 年 3 月 23 日。这是园子的不完全定期刊物，会记录一些小氯和园子在这段时间的经历，以及或有或无的思考。这是从主世界的时间中引出的一条细小的支流，也是这个网络空间中的小岛的编年史。

祝食用愉快。

## Goodbye，iTerm2

iTerm2，macOS 著名的终端模拟器。小氯之前曾经折腾过无数个终端，从原生的 Terminal 到 Hyper 到 ~~摄政王~~Tabby 到 Wave 到 Wind 到 Warp 到 Alacritty 再到……好了不报菜名了，最后选了 iTerm2。

iTerm2 整体的功能相当出色，作为一个终端来说，可以说是几乎尽善尽美了。虽然小氯也动过换成 Alacritty 来提前适应 Linux 的念头，但是最后还是贪恋 iTerm2 的舒适。Linux 的事到 Linux 再说嘛。

后来小氯发现了一个好玩的小东西：[GhosTTY](https://ghostty.org)，或者可以叫 ghostty，小幽灵。

GhosTTY 用的是一个新东西，叫 [Zig](https://ziglang.org/zh-CN/)。没错，就是 Bun 用的那个语言。小氯一向是喜欢新的东西的，Rust 如此，Zig 如此，Nim 亦如此。而且 GhosTTY 的界面异乎寻常地好看，原因嘛，它是个 SwiftUI 应用——是的，你没听错，一个终端居然可以是 SwiftUI 的。

于是小氯把 GhosTTY 留了下来，开始偶尔用其完成一些轻度任务。

不过随着时间的推移，小氯发现自己用 GhosTTY 越来越多了，即使有兼容性问题，拿 Terminal 临时顶上也足够了，Dock 中的 iTerm2 反而变成了一百年都不打开的那个。那既然如此，还留着它干什么呢。

GhosTTY 是开箱即用的，几乎不需要任何配置——如果想配置，请自己写配置文件，这家伙还没有设置面板。不过其目前存在一个比较大的问题：其终端类型 `xterm-ghostty` 在一些比较老旧的系统，如 Ubuntu 20 上是不支持的，需要手动通过 `SetENV` 回退。此外，这个问题会影响 `nano`，但不影响 Vim，~~间接促成了小氯 Vim 水平的巨大进步~~。

## 文字的骨架

小氯一直很喜欢「文本主导」风格的博客。简约但是不简陋，在去掉了一切的冗余之后，极端的效率美和隐藏在每个细节背后的设计感。比如说小氯一天要提八百遍的 <https://antfu.me>，

不知道诸位老友对于这种设计风格是什么感觉，小氯的话，很像是当初读到那首很喜欢的词的感觉：

> 春未老，风细柳斜斜。试上超然台上看，半壕春水一城花。烟雨暗千家。

如同双手抚摸上世间最上品的宣纸，即使上面什么都不写，也是千年不朽的艺术品。

但是小氯并不喜欢各种 CSS Free，或者 CSS 极少，或者 CSS 非常……具有个性的网站，比如那些遵循粗野主义（Brutalism）的网站，亦或是名字让人三缄其口的[某个网站](https://motherfuckingwebsite.com/)，亦或是 HN，亦或是 Jekyll 的 [No Style Please](https://github.com/riggraz/no-style-please)，亦或是著名的 <https://paulgraham.com>。这些网站不会让小氯感到愉悦，相反，是极端的焦虑，如同置身于没有外墙的钢筋森林中。这不叫简洁，这叫简陋，甚至可以说是一种视觉暴力。

在小氯看来，真正的「极简主义」「纯文本」博客，不应该以牺牲用户体验为代价，就像书的内容固然是最重要的，可你不能用像素字体印书然后把行距调成 0.5 倍——而是应该保持克制、冷静的设计感，把排版、布局这些东西调整到一个最能让人好好读东西的程度。极简主义不是减法，而是加法加到极限的返璞归真。

当然，类似 Hexo Butterfly 这样的主题，在小氯这里同样不讨喜。不是说它们不好，只是它们太华丽、太繁复了，把原本留给内容的精神力量都抢走了。而且，它们太脆弱了。无数的 JavaScript 或者 PHP 叠在一起，让人想到杜奥蒙堡，看似是坚不可摧的钢铁巨兽，实则在小小的攻击面前脆弱得不堪一击。

根据不可能三角，如果我们想达到简洁性和美观性的极致，那么我们就必须付出极大的开发成本，把所有的复杂性都藏在一个接口下。这也是 Hermeneutics 的设计目标——当然，现在离这个目标还差远了。

## Żywiołak

最近一直在云集邮 TNO 新版本后阿巴顿的各种（同人）结局，听到了新波（新莱齐亚救赎帝国）的统一曲。虽说新波也是个 Double-off-compass 的超级魔怔势力，不过这个统一曲还挺有趣的。

这首曲子叫作 *Sol Invictus*，直译是《不可征服的太阳》（~~想吃广东菜了~~）。这首歌不算阴间，反而有种莫名其妙的活力，~~其去城市化的风格也确实符合新波的路线~~，因此也顺理成章地被小氯扔进了歌单里面。

在扒拉元数据时，小氯闲来无事阅读了一下歌词。歌词很长，这里就不放了。小氯不认识这种语言，于是直接扔给 AI。得知这是波兰语，描写的是冬至节、太阳崇拜之类的，看起来很像是和斯拉夫异教有关。

于是小氯也顺理成章地去了解了一下背后的乐队——Żywiołak，直译是「元素」或者「精灵」，其意义应该是「元素之子」或者「自然之子」之类的。这是一支波兰的民间乐队（~~合理~~），主打的是新民谣（或者叫民谣金属）风，其风格受到波兰民间文化和斯拉夫异教的强烈影响。小氯也去找了找这支乐队的其他作品，比如说 *Witaj księżycu*（大概可以翻译为《太阴颂》）之类的，听起来也都很有感觉。

不过，诸位老友，我们回过去读读上面的话。我们似乎顺理成章地在使用一个词：**异教**。

异教，字面意思就是「不同的宗教」。和谁不同呢？自然是和自己啦。比如说十字军和穆斯林在中东友好交流（物理）时，会互相称呼对方为异教徒。当然，也可以是和自己所属的社群不一样。

那么小氯上面的用法属于哪种呢？

……坏耶，好像都不是。

小氯是个无神论者，最多由于家乡的一些传统，可能有的时候会看点佛经。不相信任何（传统意义上的）宗教，自然也不会有异教这种说法；而小氯周围呢大体上都是无神论者，对于有宗教信仰的也自然是宗教自由，也就没有什么主流宗教之说。

那这个词是怎么来的呢？为什么我们能非常自然地说出「斯拉夫异教」这个词？

现实中没有答案的问题，我们就去历史上找一下吧。

斯拉夫教（我们姑且使用这个词）的历史相当古老，其年龄估计不会比希腊神话和中华文明的巫文化小。起源不明，大概就是古斯拉夫人的原始信仰彼此间的融合和演化。斯拉夫教属于典型的多神教，其信仰的神灵大致包括雷神佩伦（Perun）和冥神沃洛斯（Veles）等。

大概从公元一世纪开始，在和拜占庭帝国等西方文明的接触中，基督教逐渐传入古斯拉夫。事情的转机发生在公元 9 - 10 世纪左右：九世纪中期，拜占庭帝国在牧首弗提乌斯的领导下，开始向北部和西北部边境外的斯拉夫人传播福音（口头）。例如来自塞萨洛尼卡的西里尔和美多迪兄弟：这对~~海尔~~兄弟精通多种语言，包括斯拉夫语，这使他们能够流利地与斯拉夫人交流。在前往莫拉维亚之前，他们创造了一套适合斯拉夫语的字母表（也就是格拉哥里字母 Glagolitic，后来演变成了西里尔字母 Cyrillic），并用马其顿斯拉夫方言翻译了《圣经》和礼拜手册，这种方言后来成为了斯拉夫教会的礼仪语言。

继续说。大家知道，斯拉夫地区其实分为东斯拉夫、西斯拉夫和南斯拉夫等多个地区。其中在东斯拉夫地区，基辅罗斯大公国的基督教化是斯拉夫世界基督教化进程中的里程碑。这就不得不提到基辅罗斯大公弗拉基米尔一世（Vladimir the Great）了。

980 年，弗拉基米尔一世通过政变夺权。当时的基辅罗斯呢，还在信奉原始多神教，所以在国际社会显得格格不入（~~欧洲国家：我们要举办一个超酷的派对，猜猜谁没有收到邀请？~~）。为了更好地融入欧洲社会和政治体系，弗拉基米尔考虑皈依一神教。988 年，为通过迎娶安娜公主以结束与拜占庭帝国的冲突，弗拉基米尔一世受洗，立正教（东正教）为国教，并下令摧毁国内所有的斯拉夫教神像，标志着基辅罗斯正式基督教化。

好的，我们大体说明白了：斯拉夫教被称为「异教」，实际是历史上基督教中心主义的一种表现。不过这个词发展到现在，大多数时候其实也没有什么歧视的成分了，而更多地表达了一种「和基督教/主流宗教不同」的客观事实，甚至是一种对于特色文化的尊重，这有点类似于酷儿（queer）由贬义词演变为中性词和身份标签的过程。而且，从某种意义上说，「异教」这种表达方式也能更好地表达对传统的反叛，很多时候，我们总喜欢和大多数人不一样，不是吗？

*注释：对本段中几个词汇的解释*

- TNO：《新秩序：欧洲末日》（*The New Order: Last Days of Europe* ）的简写。这是著名战略游戏《钢铁雄心 IV》（*Hearts of Iron IV*）的一个模组（mod），也是其最著名的架空历史模组之一，大体就是轴心国赢得了二战的胜利。TNO 以极其复杂的游戏机制、黑暗压抑的氛围和对极端意识形态（魔怔）的探索而闻名。
- 阿巴顿：掌管地狱无底坑的恶魔。这里指的是莫茨内，俄罗斯地区势力「该隐兄弟会」的首领。该隐兄弟会是整个 TNO 官方设定中最残暴的势力，没有之一。希姆莱和它一比都算是温和慈祥的。~~哦，如果把目光放远一点，我们有元素干涉区等一众嚎劫~~。
- 后 XXX：指 XXX 统一某个地区（一般是俄罗斯地区）但又崩溃后的时期，例如后神俄（也称「子夜后」，这和神俄的特殊游戏机制有关）即神圣俄罗斯帝国（俄罗斯地区最魔怔的势力之一，虽然和该隐相比还是略逊一筹）解体后的时期。一般会诞生一些传奇类人生物。
- 新莱齐亚救赎帝国：（应该是社区同人）后阿巴顿时期的传奇魔怔势力之一，奉行安那其原始主义。
- Double-off-compass：Off-compass 的加强版。Compass 指的是意识形态罗盘，Off-compass 即极端到无法纳入意识形态罗盘内的意识形态。

## 交换结果

如之前所述……咦，是哪个之前呢？大概是某个时间段的[如今](/now)页面吧。

好的，如之前所述，在导师的建议下，小氯报名了一个交换项目——准确来说，应该叫「访学项目」，因为这和普遍意义上的 Exchange 不太一样。鉴于小氯目前的研究方向（~~你有什么研究方向啊~~）以及兴趣，小氯倾向于去一个具有丰富社会动态（这里直译了 Dynamic，这只入机元素娘都快不会好好说中文了）的国际金融枢纽（特别是有 FinTech 的那种）。

就目前情况而言，综观全局，纵览古今，考虑各部分的平均水平……（停！不要再 YPM 了）这个项目的额度还是蛮不错的。小氯斟酌了很久，最后首选了新加坡。

之所以首选 SG 而不是更强的美校，主要原因是比较现实的：**没钱**。

SG（以及大部分的 target）都属于「访学」或者「交流」一类，这意味着如果你希望去上一些对方的课，是不需要付学费的，同时还可以享受比较廉价的住处——当然，这个廉价是相对 SG 其他同等条件的住房说的，和国内一年一千多的宿舍肯定没法比（毕竟是社会主义国家嘛，高等教育便宜一点很合理）。

而 US 的（稍微好一点的）学校都是「进修」项目，需要自己负担全部的费用。我们就拿硅谷地区某所著名公立大学（~~PRB：你直接点我名字得了~~）来说吧，按照过往学长学姐的经验，你每个月就算是只保证基本生活，大概也需要准备，同时还有令人……认为值得商榷（入机中文 1 / 1）的学分付费制（据调查一个学分的费用大概相当于国内一般大学一个学期的学费）。我不明白（奉化口音），你这学分是金子做的还是银子做的？

这样算下来，一个学期大概得好几个六位数吧。虽然对于那些中产家庭来说这都不算钱，但是对于小氯来说……嗯。虽然娘亲好几次和小氯说「不要老是在乎钱，按照你自己的发展路径走」，但是为了一次访学把家底搬空这种事，小氯做不出来。至于那些比较好的私立高校嘛，那更是重量级，~~不然怎么会有还一辈子的学贷~~。而 SG 那边就经济多了，估计一下，如果省着点用，大概只需要硅谷地区某所著名公立大学的十分之一（也正因如此，美区的名额非常多，也可以起到托底作用）。

此外还有一些原因：时差比较小（这里指的是标准时间，不是实际体感），和家里联系比较方便；整体治安比较好（比较：指世界上治安最好的国家之一），种族问题也少很多，相比之下，《团结》在恩！情！无限的川大统领领导下的某西方神秘大国还是太乱了，~~谁知道哪天就会玩 TFR~~；SG 是亚洲的金融中心，在金融科技方面有很多小氯感兴趣的探索，等等。总而言之，小氯就选了这样一个不是最强但不弱的目标院校。准备材料的时候也是按照 SG 的 flavor 定制的。

至于其他目的地嘛：HK 没分到什么比较好的学校；带嘤倒还可以，可惜没名额；东京感觉还不如 SG，而且我不会日语；首尔也是如此（~~我不吃忠橙，谢谢~~）；大洋洲地区没太多好逛的金融产业——以及小氯不太喜欢某只长了五个眼睛的怪兽。至于其他地点，小氯根本没看。综合来看，SG 还是称得上最优解的。

嗯哼，你说为什么最后还写了个某正白旗城市啊？那个是凑数的。

然后就是平平无奇的交材料和面试了。面试没有什么波澜，发挥算是正常吧。由于竞争不算是太激烈（尽管应该是所有 target 里面除了 US 之外最强的之一了），小氯也是比较有信心的。几天以后（抱歉小氯忘记具体是哪一天了）接到了电话，果然顺利通过了。

当然面试过了也不意味着万事大吉，还需要那边接收你，也就是说还需要一个 Application。这里小氯要严厉批评这个 Application 系统：那个申请界面古老得像是石器时代的文物，操作逻辑也极端反人类——我们就拿选课来说吧，它不能单独搜索课程，只能添加，也就是说你必须把一门课删掉才能看到课程相关信息；课程的 Rank 不能拖动，只能手动排……最最最逆天的是，不知道那边抽什么风，突然来了一个「必须至少选一半所在院系的课」的诡异规定。说实话，让交叉学科的同学这样选课简直就是丧尽天良。就比如说，计算机系的数值分析可能是数学系开的，而商学院或者金融学院的经济学课程一般都属于经济学系。合着咱出去拓展眼界，反而得自我收缩一下，交叉学科没有交了，光剩个叉了是吧（恼）。

于是小氯果断 compose 了一封邮件给了那边的负责部门。结果嘛，自然是没有结果。其他几位同学也没有收到回复，甚至单纯询问性的邮件也是如此。不得不说，牢新你是好样的。

反正最后是用了几天把申请 submit 了，~~薄纱 DDL~~。至于中间出的问题就不多说了，有害物品小氯自己一个人吃就好啦（嚼嚼嚼）。

当然，事情还没完。后续还要调整选课，以及办签证等。反正过段时间，小氯就要去 SG 旅游啦  ＼(≧▽≦)／ 

最后小氯有个问题：去了 SG，是不是就可以不用每天电脑上开魔法猫猫了？

## Hello，Telegram

记得小氯以前在「关于」页面~~非常傲娇地~~宣称：

> 我永远不会公开我的微信、QQ 和 Telegram。

然而小氯现在表示，以前是以前，现在是现在（捂脸）。

小氯一向对 Telegram 兴致缺缺：论隐私性，你比不过 Signal；论自由性，你比不过 Matrix；没有默认的 E2EE，网络连通性堪忧，注册还需要境外的手机号，我要你何用呢。

不过 Telegram 也是有优点的。最大的优点自然是其丰富的 Bot 和 API，足够让 Matrix 社区眼馋十年了。以及很好用的 TG Channel，可以起到类似公众号的作用。当然，还有一点：作为一款即时通讯应用来说，TG 的体验可以说是标杆级别的，无论是资源占用、界面还是交互。虽然小氯说其隐私性比不上 Signal 和 Matrix，但是好歹也有 E2EE 的选项，比微信这种虫豸强多了。

事情的转机大概出现在前几天。在坚持使用了很久（~~事实上只发过几次消息~~）的 Matrix 之后，小氯残酷地意识到，这玩意的普及度实在是太低了，别说是在日常生活中用了，就算是博友圈，估计也没几个人用。想靠 Matrix 和 Residencia 0x001B 的老友们沟通，还不如飞鸽传书靠谱。而且，conduwuit 出现的离奇问题也让小氯对目前 Matrix 的生态产生了一定的怀疑：一个即时通讯应用，首先需要有基本的功能吧。

此外，由于要去 SG 了嘛（尽管现在还早），小氯就去简单调查了一下在 SG 的一些「必装软件」。在 IM 方面的话，最通行的肯定是 WhatsApp，然后自然就是 Telegram。

于是小氯决定注册一个 TG。反正现在手里的电话卡捏了好几张，也不再需要租临时号了。过程嘛，没什么好说的。只是小氯的电话卡有时候收不到 TG 的短信，不知道为什么。

哦，以及 TG 有一个奇怪的问题，就是如果你不允许其访问全部的通讯录，下面的 Contacts 就会一直有一个警告标志，而且挪不掉，非常难受。不知道哪个大脑结构与当下生命科学最新进展所认可的智人一般大脑结构存在实质性差异的人设计的这个机制。

## 数实惊魂

小氯的课表有一门奇妙小课，叫作《数字逻辑实验》，简称数实。这门课只有一学分，但是却位列 CS 牢九门之一——当然，是和其主课（也就是威名赫赫的数电）一起的。由于小氯对硬件兴趣不大（除非去搞硬件密码学），所以上得并不走心。

或许是第一节的示波器玩得太过愉快，让小氯丧失了对于 CS 牢九门的应有尊重，于是在第二节课之前，小氯并没有做很多的预习，只是像以前那样写了一个 Memo，然后贴了几张来自实验文档的参考图而已。更难绷的是，我上节课没有把自己的实验箱带回去，因此完全是纸上谈兵一般的预习。事后证明，这是一个让小氯后悔得直龇牙的决定。

下面我们也不多废话，来看几个小氯的铸币操作吧。温馨提示，阅读下面的内容时请不要吃饭或者喝水。

### 情景一

- 小氯：助教学长，为什么我 5 V 的方波测出来只有 0.5 V 啊？
- 助教：估计你倍率没……不对啊，你这倍率是对的。不是，你没调游标啊，你这游标跑哪去了，测出来的也不是你的电压啊。

### 情景二

- 小氯：助教学长，为什么显示不出来波形啊？
- 助教：你估计没插电吧……不对啊，插了啊。等会，你芯片呢？你光拿个模块能测出来什么啊？

> 《测芯片的实验不安装芯片》

### 情景三

- 小氯：老师，我这个波形为什么这么抽象啊？
- 老师：我看看……你接线没问题吧？
- 小氯：我刚才查过了，应该是对的。
- 老师：我看看……确实没问题。（伸手拔掉电源）怎么还是这个？我给你换示波器供电试试。（换成示波器供电）还是这样，有接触不良吗？（按压每一根线）没有啊，你等会，我去给你拿个电源模块。

（老师带着电源模块回来了）

- 老师：再试试……怎么还不行？你芯片不是坏了吧，（拿起模块查看）不是，你把芯片插倒了啊！
- 小氯：啊？
- 老师：你先重安装一下，一会我再回来。

（小氯重新插了一次芯片）

- 小氯：（可怜兮兮）老师，为什么波形还是这样啊？
- 老师：不可能啊。（拿起模块）（恼）你 TM 插的还是倒的啊！缺口，缺口你知道是什么吗？
- 小氯：啊？

> 《在哪里跌倒，就在哪里继续跌倒》

所以到最后小氯差点没做完实验，最后一个线接得乱七八糟，波形也是龙飞凤舞荡气回肠。好在好心的助教和老师还是算我过了。

## Get Rid of Apple？

最近小氯看了一些新闻（不太新，两年前吧），大概意思是即使你关掉了设置中的与 Apple 分享数据，Apple 还是会悄咪咪地上传一些。Apple 对此的解释大概是——

> 果乙己一到店，所有科技公司便都看着他笑，有人叫道：「果乙己，你系统里又查出隐私漏洞了！」他不回答，对 Genius Bar 说，「升级 iOS 18，要支 Apple Pencil。」便排出 Apple Pay 二维码。他们又故意嚷道：「你一定又偷偷上传用户数据了！」果乙己睁大 HomePod 般的圆眼睛说，「你怎么这样凭空污人清白……」「什么清白？我前天亲眼见你偷传 Siri 录音，被 FTC 罚了八千万。」果乙己便涨红了 logo，额头的 Dynamic Island 剧烈抖动，争辩道，「系统诊断和非第三方分享不能算跟踪……差分隐私！……保护数据的事，能算跟踪么？」接着便是难懂的术语，什么「广告标识符已重置」，什么「端到端加密」之类，引得众人都哄笑起来，店里外充满了快活的空气。

好的，说人话。

> Apple’s advertising platform does not track you, meaning that it does not link user or device data collected from our apps with user or device data collected from third parties for targeted advertising or advertising measurement purposes, and does not share user or device data with data brokers.

嗯……如果小氯没理解错，Apple 的意思是，如果只有自己一家公司收集数据，那就不叫跟踪了。

……嗯。

虽然说阳奉阴违属于 Big Tech 的传统艺能了吧，但是……牢果，你再怎么说，也是一家以「隐私」为卖点的公司啊。你这样……算了我还是不说你了。你好自为之吧。

而小氯呢？自然不会躺平等着被牢果灌注（大误）。我们当然可以直接换 Linux——如果将来要换 Linux 的话，小氯大概率会选 [Framework](https://frame.work/)，或者是等到 MacBook 被榨干以后刷一个 Asahi（那个时候的 Asahi 应该已经能比较好地支持这样旧的硬件了吧——如果它还活着）。

不过，小氯的 MacBook 刚刚买一年左右。指望小氯现在换一台电脑，那属实有点蔑视小氯的半个专业（金融）了。要么等到小氯把 MacBook 的剩余价值彻底榨干，要么就是有一个很合适的机会可以出二手。所以我们现在要做的，还是 Get Rid of Apple——尽可能摆脱 Apple 的服务，换用开源和自托管的替代品。

让小氯列个目录……

- Apple Mail：完全可以换成 Thunderbird。
- iCloud Mail 域名邮箱：先这么用着吧，反正咱有 GPG。
- Unified Clipboard：有一些跨平台同步剪贴板的项目，还没试过。
- Unified Notification：难说！
- iPhone Mirror：在牢软的 Windows 都能操作 Android，小氯不信这件事没有解决方案。
- AirDrop：Localsend 比 AirDrop 好用多了，但是由于万恶的校园网隔离，小氯没法日用。或许可以找一个路由器，或者是使用 Tailscale 的虚拟内网。
- iCloud：问题不大，咱有 ownCloud 和 Nextcloud。很可惜这两个家伙又大又重，而且小氯不太知道托管在哪。
- iCloud Photos：Ente，Immich 和 Photoprism 看着都不错，小氯最喜欢 Ente。不过问题还是：不太知道托管在哪。
- iCloud Calendar & Reminder：有依附于 ownCloud 和 Nextcloud 的服务，不过小氯更喜欢一个单纯的 CalDAV，不过不知道这样能不能两个联动了，不能就不能吧。
- Maps：嗯……说实话，在赛里斯生活，很难有什么很好的开源地图软件。

这是个大工程，小氯会一点一点做。后面的事情，小氯后面再和诸位老友汇报吧。

## 文本长生

最近小氯在试着了解 `TODO.txt`，一种纯文本的待办事项列表。惊叹于其简洁性的同时，也开始思考一些和「纯文本」有关的事情。

「纯文本」这个词听起来可能会引人误解，实际上在小氯的说法中，纯文本和文本基本是同一概念——That is，使用字符编码、可以表示为人类可读的字符序列的各种文件，如 `.txt`（无格式纯文本），`.md`（Markdown 标记语言）和各种代码等。或者说得简单点，只要你能拿文本编辑软件，比如说 Notepad、Textedit 正常打开的文件都是文本文件——当然这样有点倒果为因。

小氯对文本文件多少是有些迷恋的。想一想，只需要一个最简陋的文本编辑器，便能将文件的全部内容一览无余，几乎毫无阻力地建立起比特、神经元和意义节之间的桥梁。这种重力一般的掌控感和安定性，即使是胸腔中跳动的心脏都无法给予。而打开之后，所有的结构如同转录中的 DNA 解旋，铺陈成一张盛大的画卷，胸有丘壑，却毫无心机，毫无保留。如同《1984》中温斯顿的那个梦一般，随意的一抛，就是莎士比亚时代全部的优雅。不论是英社还是老大哥，都在这一个动作中破碎黯淡成无关紧要的灰尘。

……写得好矫情啊（笑）。

而简单性和开放性的直接结果就是：海纳百川的兼容性和千秋万代的延续性。同一个文本，Notepad 可以打开，CotEditor 可以打开，Neovim 可以打开，Emacs 可以打开，EDIT 和 ed 也可以打开；Windows 可以打开，macOS 可以打开，Linux 可以打开，FreeBSD 可以打开，移动设备可以打开，DOS 和初代 Unix 也可以打开；三十年前的电脑可以打开，现在的电脑可以打开，三十年后——乃至更久也可以打开。我们可以大胆地预言，即使是未来量子计算机成为日用设备，文本文件依然可以与新的接口谈笑风生，甚至都不需要做什么存亡续绝的关键性工作。如同不腐不坏、无灾无妄的古卷，忠实地记录着每一段自己曾经过的历史，将时间的高墙颠覆为随意即可跨过的邻家门槛。相比之下呢？`.one`、 `.wpd` 和 `.dpr` 早就成了只能存放在赛博博物馆的文物，比楔形文字还难看懂。无人能看懂和解析的格式，和死了也没什么区别。

即使不说宏大命题，简单性和开放性也可以给日常使用带来无穷的便利。文本文件的版本管理可谓是 Git 的绝活，搜索的速度没人比得上 ripgrep。sd 帮你做正则替换，bat 让你匆匆一瞥就能心下了然。而各种编程语言可都是文本文件的后宫，如果会一点编程，你甚至可以完全定制自己的工作流，让系统的每个细节都如臂使指。这么看，拿专有格式、封闭生态去对抗文本，不啻于用一群人、一家公司的力量对抗几乎全部时代、全部范围的计算机科学。可能也只有巨头级别的公司，投入海量的资本，才能在某些方面胜天半子吧。

说实话，这么说完一段之后，小氯原本对文本的喜爱似乎更深了。颇有一种辩论赛本来对双方的观点都有认同，辩一场下来之后成了坚定的正方人 / 反方人的感觉。

无论如何，请允许这个无知的元素娘改编一下 [Yihong](https://github.com/yihong0618) 大佬的那句名言吧——

> People Die, but Long Live GitHub
> 
> GitHub Falls, but Text Transcends

（当然，以上的前提是处理好编码问题。毕竟 DOS 娘并不认识 UTF-8，各位 Unix-like 用户也不想看到搬到 Windows 之后自己的文件变成锟斤拷。此外，小氯也并不是说文本就是第一性和绝对的准则。比如说，如果你希望用文本放一首歌，那……小氯祝您好运。而且客观上说，有一些专有格式确实是比文本在某些方面的表现更佳。例如，对于复杂的办公文档（虽然不知道为什么办公文档会复杂），使用 MS Office 或者 OpenOffice 格式还是会比文本容易的。）