---
title: 独立博客选什么域名后缀？
date: 2024-02-22T13:42:13
tags:
  - 域名
categories: ["百草园"]
slug: choosing-ur-blog-tld
draft: false
description: 本文探讨了不同域名后缀的选择及其背后的意义和适用场景。文章首先回顾了作者与朋友关于选择域名后缀的交流，随后详细介绍了常见的域名后缀如`.com`、`.cn`、`.org`、`.net`、`.me`等的背景、用途及特点。作者还提到了其他一些较为新颖或特定用途的域名后缀，如`.tk`、`.top`、`.xyz`等，并对每种后缀的优缺点进行了简要分析。最后，作者推荐使用`.com`、`.org`、`.net`或`.me`作为个人博客的域名后缀，强调了选择一个合适且具有个人特色的域名的重要性。
wikilinks: true
---

各位老友们好，我是 Chlorine。

本期内容算是对[[Obsidian+Hugo建站教程：2-博客系统，域名，托管服务，DNS解析]]的一点补充，没什么营养价值，适合茶余饭后就着饼干吃（没错，在码字的时候，我的手边就放着一袋早餐饼干。这种食物蛮有趣的，不贵，没什么特别的味道，但是吃起来却很舒适）。

## 前言

前天，我在[嗣檙](https://sicheng.taoooist.org/) 的关于页面上看到他说，希望注册一个非 `.cn` 的域名，但对后缀有点拿不定主意。

当时我留了一段言：

> 后缀的话，其实 .com/. org/. net/. me 都可以。. com 最正规，就是可能带点商业气息（？）如果让我根据内容推荐的话，其实 .org 不错，非盈利性组织的后缀，而且一般比 .com 便宜（确信）
> 个人意见，仅供参考 awa

昨天就得知他注册了一个 `.org` 的域名。说实话，有点小开心，毕竟自己的 ~~馊~~ 主意被 adopt 了。

正巧，最近在博主[青山](https://yinji.org/)的博客闲逛的时候，发现在他上次换域名的时候的文章中，有一点对域名后缀的看法：

> 微信群里大伙在聊 .net 域名，希望能捡个漏。相比于 .com 域名，我其实更喜欢 .net，寓意为“网络”，感觉更符合博客，而 .com 则显得有点商业化。

原文链接：[Hello，今是昨非！ | 印记 (yinji.org)](https://yinji.org/5030.html)

我们都希望有一个个性化的域名前缀，让自己的网站富有个人特色，但是我觉得，后缀也是一个值得深思熟虑的因素。所以，就写了这篇小文章，希望为正在挑选域名的老友们提供一点帮助以及乐趣。

当然，如果是富而好礼的老友，那建议把所有感兴趣的域名都注册下来，然后做 301 重定向（doge）。

## 声明

1. 本文的域名注册量数据来自 <https://domainnamestat.com/statistics/tld/others>，截止至 2024 年 2 月 24 日。
2. 本文的最低价格数据来自[哪煮米](https://nazhumi.com/)，截止至 2024 年 2 月 24 日；具体域名价格信息均使用 `<randomstring>.<tld>` 作为试探数据，价格来自 [Dynadot](https://dynadot.com/) 和[阿里云万网](https://wanwang.aliyun.com/domain)，截止至 2024 年 2 月 24 日，为小样本统计，不代表普遍规律。

## 一些常见的博客域名后缀

### `.com` 后缀

如果要问最正规、最权威的域名后缀，那非 `.com` 莫属。

`.com` 显得商业化的原因可能是因为：这个 TLD 最初就是给商业机构设计的（com 就是 commerce 或者 commercial 的简写），而且现在的商业机构，也大部分会找到一个 `.com` 作为公司的官网域名，这样给人以更权威的印象。而越来越多的正规商业机构这样做，也更加强了 `.com` 正规、权威、商业化的印象。

闭合得很好的正反馈，不是吗？（笑）

当然，这并不意味着 `.com` 就是商业机构的专利。如今，commercial 成了 common，各种项目和网站，都可以用这个 TLD。

### `.cn` 后缀

`.cn` 后缀是中国的国家顶级域名后缀，其注册量在所有国家顶级域名中位居榜首，在全部的 TLD 中位列第二。

`.cn` 很大的优势是性价比，一个普通的 `.cn` 域名价格大概在 30～40r/a，比 `.com` 便宜了一半；而且 `.cn` 的正规性也比较强，尤其在中国范围内，获得的 SEO 会比较好。当然，国际化也会比较困难——虽然我们的读者主要还是在中国。

还有一点， `.cn` 必须在国内的域名注册商处购买，或许是偏见，但是在 IT 服务这块，我对国内的某些厂家们的确没太多好感……

### `.org` 后缀

`.org` 其实是 organization 的简写，最初用于非营利组织，例如联合国 <https://www.un.org>，后续也可以用于个人网站或者开源项目，例如 Python <https://www.python.org> 等。`.org` 的权威性很强，如果心仪的 `.com` 被抢注了，那 `.org` 也是很好的选择。

不过，`.org` 有一个缺点，必须说明白：**它不能备案**。关于可以 ICP 备案的 TLD，可以参考[这里](https://domain.miit.gov.cn/)。

### `.net` 后缀

`.net`，网络，本来是给提供网络技术服务的网站用的。不过，拿来当个人博客也很不错。

### `.me` 后缀

`.me` 看起来像是专门为个人设计的，但是这其实最初是黑山共和国（也称为蒙特内哥罗）的国家顶级域名，后来向全球网民开放。

不过，me，我，看起来就很适合注册个人网站。当然，这么想的可不只是我们——目前全球共有 2,179,615 个 `.me` 域名。

### 其他后缀

下面的后缀都是我曾经在个人博客上见过的。这些域名大部分都是新的 TLD，也有国家和地区的顶级域名。

#### `.tk` 后缀

`.tk` 其实是托克劳的顶级域名（托克劳说起来很复杂，大家可以自行查阅[维基百科相关词条](https://zh.wikipedia.org/wiki/%E6%89%98%E5%85%8B%E5%8A%B3)）。这个词和 talk 的简写一样，似乎也是个不错的选择。

而且，这个域名的注册是免费的。所以，这个域名的注册量高得惊人，仅次于 `.com` 和 `.cn`，位居世界第三。

只不过，免费有免费的代价，例如动不动就会被收回，例如容易被垃圾网站滥用不利于网站的 SEO（搜索引擎优化）……以及，**如果一个东西来得太容易，那很容易不被珍惜**。

所以，我不建议使用这类免费域名。

#### `.top` 后缀

`.top` 这个后缀，似乎没有什么特别的来历，就是顶级的，顶上的，图个好寓意。

不过 `.top` 有一点好处：它非常便宜，即使一口气买十年，也不过不到 200r。

#### `.xyz` 后缀

世界上最著名的 `.xyz` 域名，应当是 <https://abc.xyz> 了。它是 Alphabet 公司的域名。

Alphabet，世界五大互联网巨头之一。它以前的名字，叫做 Google。

不过，听说当初的 Alphabet 也想用一个 <https://alphabet.com>，很可惜，这个域名早就被宝马注册了。没办法，就用了这个。不过，Alphabet，字母表，`abc.xyz`，倒也挺合适。

#### `.blog` 后缀

这个不需要解释了，博客。

这里顺便科普个冷知识：blog，其实是 weblog 的缩写，web（网络），log（记录）。感觉，如果哪天小氯一时兴起，想探讨下博客的来历，发展和使命这种大问题，这个科普用在那里更合适。不过，笔本随心，也无所谓了。

#### `.co` 后缀

`.co`，原本是哥伦比亚的国家顶级域名，由于和 `.com` 长得像，而且简短，也很受欢迎。

#### `.moe` 后缀

这个后缀的意思似乎是“萌”？比较适合宅圈的老友们。

#### `.info` 后缀

`.info`，信息。不多解释。

#### `.io` 后缀

`.io` 原本是英属印度洋领地的顶级域名，但是由于和 Internet Organization 以及输入/输出（I/O）的简写一样，因此被广泛用于互联网公司等。例如，Typora 的官网 <https://typora.io>。

如果你的博客技术性特别强，那么这个后缀比较合适。

#### `.link` 后缀

`.link`，链接。我记得 Dynadot 似乎搞过一个免费送一年 `.link` 域名的活动？

#### 难以完全叙述的其他域名后缀

包括但不限于 `.cat`，`.sb`，`.cc`，`.vip`（我记得这个域名也非常便宜），`.tech` 等。

以及，`.中国` 等。没错，现在已经有中文的域名后缀了。不知道将来，会不会有全中文的域名？（笑）

## My Suggestion

如果要我说的话，我最推荐的还是 `.com` 域名。如果你觉得 `.com` 有点显得商业化，那就使用 `.org`，`.net` 或者 `.me`，`.cn` 也可以。除此之外的域名，我都不是很推荐用于个人博客。毕竟，现在这种老牌域名的价格都不算很贵，所以，如果遇到喜欢的域名，就赶紧下手吧。（笑）
